<%- include('../partials/header'); %>
<%- include('../partials/navbar'); %>
<%- include('../partials/scripts'); %>
<!-- Content Wrapper -->
<div id="content-wrapper" class="d-flex flex-column">
    <div id="content">
        <%- include('../partials/topbar') %>
        <!-- Begin Page Content -->
        <div class="container-fluid">
            <!-- Page Heading -->
            <div class="d-sm-flex align-items-center justify-content-between mb-4">
                <h1 class="h3 mb-0 text-gray-800"><%= title %></h1>
            </div>
            <!-- Content Row -->
            <div class="row">
                <!-- Area Chart -->
                <div class="col-xl-12">
                    <div class="card shadow mb-4">
                        <!-- Card Header - Dropdown -->
                        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
                            <h6 class="m-0 font-weight-bold text-primary">Random text</h6>
                            <div class="dropdown no-arrow">
                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
                                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                                </a>
                                <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in"
                                    aria-labelledby="dropdownMenuLink">
                                    <div class="dropdown-header">Dropdown Header:</div>
                                    <a class="dropdown-item" href="#">Action</a>
                                    <a class="dropdown-item" href="#">Another action</a>
                                    <div class="dropdown-divider"></div>
                                    <a class="dropdown-item" href="#">Something else here</a>
                                </div>
                            </div>
                        </div>
                        <!-- Card Body -->
                        <div class="card-body">
                            <table class="table table-bordered" id="usersTable" width="100%" cellspacing="0">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>First name</th>
                                        <th>Second name</th>
                                        <th>Email</th>
                                        <th>Username</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.container-fluid -->
        </div>
    </div>

    <% include('../partials/footer'); %>
    <script>
        $(document).ready(function () {
            $('#usersTable').DataTable({
                //select: true,
                order: [[2, "asc"]],
                resposive: true,
                pageLength: 50,
                ajax: {
                    url: '/admin/users-api/list',
                    dataSrc: "",
                },
                columns: [{
                    data: '_id',
                    visible: false,
                }, {
                    data: 'name.first',
                }, {
                    data: 'name.last',
                }, {
                    data: 'email',
                    mRender: function (data, type, row) {
                        if (row.email === undefined) {
                            return 'null';
                        } else {
                            return row.email;
                        }
                    }
                }, {
                    data: 'username',
                }, {
                    targets: -1,
                    data: null,
                    mRender: function (data, type, row) {
                        return `<div class="row" style="justify-content: space-between; /*min-width: 80px;*/"><a href="/admin/students/detail?id=${row['_id']}"><i class="fas fa-eye"></i></a><a href="/admin/students/edit/?id=${row['_id']}"><i class="fas fa-pen"></i></a><button type="button" onclick="changeStudentStatusById('${row['_id']}', '${row['confirm'] ? 'confirm' : 'cancel'}');" style="background: none; border: none; padding: 0; "><i class="fas fa-sync-alt text-green"></i></button><button onclick="deleteStudentById('${row['_id']}');" style="background: none; border: none; padding: 0; "><i class="fas fa-trash" style="color: red; "></i></button><a href="/admin/emails/write?recipient=${row['email']}" alt="Poslat email studentovi"><i class="fas fa-envelope" style="color: grey; "></i></a></div>`;
                    }
                    //defaultContent: `<button>button!</button>`
                }],
            });
        });

        function deletUserByID(id) {
            swal();
        }

        function changeStudentStatusById(id, status) {
            $(`form#modal-change-status-form`).children('input[name=\'id\']').attr('value', id);
            statuses = ['confirm', 'cancel'];
            for (let i = 0; i < statuses.length; i++) {
                if (status === statuses[i]) {
                    $(`input#${status}Radio`).attr('disabled', true);
                    //$(`input#${status}Radio`).attr('type', 'hidden');
                } else {
                    $(`input#${statuses[i]}Radio`).attr('disabled', null);
                }
            }
            // console.log(`${status}Radio`);
            // $(`${status}Radio`).prop('checked', false);
            // $('#toggle-modal-change-status').click();
            $('#modal-change-status').modal();
            $('#modal-change-status-form').submit(function (e) {
                e.preventDefault(); // avoid to execute the actual submit of the form.
                $.ajax({
                    type: 'POST',
                    url: '/admin/students/change-status/',
                    data: $(this).serialize(), // serializes the form's elements.
                    success: function (response) {
                        //console.log(response); // show response from the server
                        switch (response) {
                            case 'ok':
                                swal({
                                    title: 'Student(ka) byl(a) upraven(a)!',
                                    text: 'Srdečně blahopřeji.',
                                    icon: 'success',
                                }).then((value) => {
                                    location.reload();
                                });
                                break;

                            case 'not-sent-id':
                                swal({
                                    title: 'Chyba!',
                                    text: 'Neposlal jsi na server ID rezervace, u které chceš změnit stav.',
                                    icon: 'success',
                                }).then((value) => {
                                    location.reload();
                                });
                                break;

                            default:
                                swal({
                                    title: 'Něco se pokazilo!',
                                    text: `Ozvi se správci, server říká: ${response}"`,
                                    icon: 'error',
                                });
                                break;
                        }
                    }
                });
            });
        }
    </script>
    </body>

    </html>